# APP
- 本分支是花花有米最新版，更改实名认证的sdk
### 获取签名及MD5
> 签名
- `keytool -list -v -keystore huahuayoumi.keystore`
- `7A:F0:2A:0F:47:54:98:D6:2B:79:7B:D2:86:55:B5:EF:83:BB:68:49`
> MD5
- `keytool -exportcert -keystore huahuayoumi.keystore | openssl dgst -md5`


### Android签名文件
- 证书别名 `huahuayoumi`
- 证书私钥密码 `huahua`
- [证书文件](app/huahuayoumi.keystore)

#### 测试
- 包名：test.huahuayoumi.hhym
- [证书文件] 服务端云证书
- 高德地图Key:80cb71b2ff6b022f097d5fa272e78aad

#### 生产
- 包名：com.huahuayoumi.hhym
- [证书文件](app/huahuayoumi.keystore)
- 高德地图Key:577efe7a41b5f8febeeff4265aee7d7f



### IOS 
- 证书私钥密码 `huahua`
- 高德地图Key：1a10348866a21198b86a7ed9ba8529d0

- 开发
[证书profile文件](app/ios_development.mobileprovision)
[私钥证书](app/ios_development.p12)

- 正式
[证书profile文件](app/ios_distribution.mobileprovision)
[私钥证书](app/ios_distribution.p12)



### 打包流程
分为测试打包和生产打包

#### 打测试包
1. 修改高德地图的Key，只需要修改【安卓】的就可以了
   1. 测试：80cb71b2ff6b022f097d5fa272e78aad
   2. 生产：577efe7a41b5f8febeeff4265aee7d7f
2. 修改H5的URL地址
   1. 测试：http://mmyx-h5-s.rockstect.cn/index.html
      1. 服务端接口地址：http://112.124.25.186:18998
   2. 生产：https://mmyx-h5.rockstect.com/index.html
      1. 服务端接口地址：https://portal.rockstect.com
3. 修改商城的接口地址
   1. 测试：修改`@/config/api.js` 中 `env = "development"`
   2. 生产：修改`@/config/api.js` 中 `env = "prod"`
4. 其他
   1. 如果要在本地运行，还需要重新打【自定义基座】


### 友盟统计
1. 苹果KEY 66a89341cac2a664de7c6348
2. 安卓KEY 66a8937acac2a664de7c6353



### 安卓APK存放位置
账号在【捷通云】
Bucket是：oss://manman-res-prod/Android/